using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace Lab1_16
{
    class Program
    {
        static void Main(string[] args)
        {
            double[,] nodes = new double[,] {{0, 1.8}, {2, 3.1}, {6, 0.3}, {7, 4}}; // Вузлові точки
            double[,] dd = new double[,] {{0, 2}, {2, 0}}; // Додаткові умови
            double a = 0, b = 6.0, x = a;
            double step = 0.3;
            int i = 1;
            Spline s = new Spline(ref nodes, ref dd);
            Console.WriteLine("Матриця системи рiвнянь вiдносно коефiцiентiв s:");
            s.PrintMatrix();
            Console.WriteLine("\nКоефiцiенти s:");
            s.PrintCoeffs();
            Console.WriteLine("\n№\tX\tSpline");
            while (x <= b)
            {
                Console.WriteLine("{0}\t{1:0.0}\t{2:0.000}", i, x, s.intFun(x));
                i++;
                x += step;
            }
            //Console.WriteLine("{0:0.000}", s.intFun(7.0));
            Console.ReadKey();
        }
    }
}
